Package org.apache.jmeter.assertions

# Class BSFAssertion

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.BSFTestElement
org.apache.jmeter.assertions.BSFAssertion

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Assertion`, `Searchable`, `TestBean`, `org.apache.jmeter.testelement.TestElement`

public class BSFAssertion extends BSFTestElement implements Cloneable, Assertion, TestBean

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

`org.apache.jmeter.testelement.TestElement.Companion`

## Field Summary

### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

`DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BSFAssertion()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`AssertionResult`
`getResult(SampleResult response)`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

### Methods inherited from class org.apache.jmeter.util.BSFTestElement

`evalFileOrScript, getManager, getScriptLanguage, initManager, processFileOrScript, setScriptLanguage`

### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

`getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

## Constructor Details

### BSFAssertion

public BSFAssertion()

## Method Details

### getResult

public AssertionResult getResult(SampleResult response)
Description copied from interface: `Assertion`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

### clone

public Object clone()

Specified by:
  `clone` in interface `org.apache.jmeter.testelement.TestElement`
Overrides:
  `clone` in class `AbstractTestElement`